Subject: Re: [bug#78461] [PATCH] gnu: font-iosevka: Update to 33.2.2, switch to "Super TTCs".

From: Andrew Wong <[email-masked]>
Date: Sun, 18 May 2025 13:17:26 -0400

> On May 18, 2025, at 2:27 AM, Hilton Chain <[email-masked]> wrote:
> IMO we should build fonts from source eventually and
> provide different formats in outputs or parameterizing them.

There are build instructions for Iosevka, btw. It uses npm and a new build system and some other things, and I’m not sure if it produces the TTCs directly. Maybe in another patch.

> xgettext is set to extract string literal inside ‘description’, but it
> will find ‘string-append’ in this case, so the description won't be
> extracted at all.
> 
> Even if you have managed to extract different parts of the description,
> e.g. "a" and "b", Guix UI looks up translation for the resulted string,
> e.g. "ab", so it won't be translated either.

If I make the entire description a parameter (i.e. description-suffix -> description) would that work correctly then? Or are descriptions translated correctly iff they are string literals directly within the (description) field of a package? In which case, I guess we should keep using package inheritance, instead of a package-generating procedure.